<template>
  <div class="comment_item text-dark leading-160">
    <div class="flex space-x-2 md:space-x-3">
      <div class="user_status">
        <a href="javascript:;" class="avata_comment" target="_blank">
          <img
            src="/users/avatar-default-1.png"
            alt="avatar"
            class="max-w-full"
          />
        </a>
      </div>
      <div class="flex-1 content-comment">
        <p class="full_content bg-body p-3 mb-2">
          <a href="javascript:;"><b class="font-medium">Lê Hà Long</b></a>
          Tới lui vẫn thích thiết kế của Asus với Gigabyte, nhìn cái lap đơn
          giản mà vẫn tôn được cái chất Gaming.
        </p>
        <p class="block_like_web flex items-center space-x-4 text-sm">
          <a href="javascript:;" class="flex items-center space-x-1">
            <span>82</span>
            <svg-icon name="icon-like" class="w-4 h-4 text-gray-100"></svg-icon>
            <span class="font-medium text-sm text-dark-blue">Hữu ích</span>
          </a>
          <a href="javascript:;" class="flex items-center space-x-1">
            <svg-icon
              name="icon-comment"
              class="w-4 h-4 text-gray-100"
            ></svg-icon>
            <span class="font-medium text-sm text-dark-blue">Trả lời</span>
          </a>
          <a
            v-if="hassub"
            href="javascript:;"
            class="flex items-center space-x-1"
          >
            <svg-icon
              name="icon-reply"
              class="w-4 h-4 text-gray-100"
            ></svg-icon>
            <span class="font-medium text-sm text-dark-blue">
              Xem 26 trả lời
            </span>
          </a>
        </p>
      </div>
    </div>
    <div
      v-if="hassub"
      class="sub_comment flex flex-col space-y-4 mt-5 border-solid md:border-l border-gray-light pl-10 md:pl-13"
    >
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.png" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body p-3 mb-2">
              <a href="javascript:;">
                <b class="font-medium">Nguyễn Đăng Linh</b>
              </a>
              <span v-if="!readMoreActivated">
                {{ longText.slice(0, 400) }}...
              </span>
              <a
                v-if="!readMoreActivated"
                class="font-medium text-sm text-dark-blue"
                href="javascript:;"
                @click="readMoreActivated = true"
              >
                Xem thêm
              </a>
              <span v-if="readMoreActivated">{{ longText }}</span>
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Hữu ích</span>
              </a>
              <a href="javascript:;" class="flex items-center space-x-1">
                <svg-icon
                  name="icon-comment"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Trả lời</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body p-3 mb-2">
              <a href="javascript:;">
                <b class="font-medium">Võ Minh Nhất</b>
              </a>
              <b class="font-medium">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Hữu ích</span>
              </a>
              <a href="javascript:;" class="flex items-center space-x-1">
                <svg-icon
                  name="icon-comment"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Trả lời</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body p-3 mb-2">
              <a href="javascript:;">
                <b class="font-medium">Võ Minh Nhất</b>
              </a>
              <b class="font-medium">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Hữu ích</span>
              </a>
              <a href="javascript:;" class="flex items-center space-x-1">
                <svg-icon
                  name="icon-comment"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Trả lời</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body p-3 mb-2">
              <a href="javascript:;">
                <b class="font-medium">Võ Minh Nhất</b>
              </a>
              <b class="font-medium">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Hữu ích</span>
              </a>
              <a href="javascript:;" class="flex items-center space-x-1">
                <svg-icon
                  name="icon-comment"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Trả lời</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body p-3 mb-2">
              <a href="javascript:;">
                <b class="font-medium">Võ Minh Nhất</b>
              </a>
              <b class="font-medium">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Hữu ích</span>
              </a>
              <a href="javascript:;" class="flex items-center space-x-1">
                <svg-icon
                  name="icon-comment"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Trả lời</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body p-3 mb-2">
              <a href="javascript:;">
                <b class="font-medium">Võ Minh Nhất</b>
              </a>
              <b class="font-medium">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Hữu ích</span>
              </a>
              <a href="javascript:;" class="flex items-center space-x-1">
                <svg-icon
                  name="icon-comment"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Trả lời</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body p-3 mb-2">
              <a href="javascript:;">
                <b class="font-medium">Võ Minh Nhất</b>
              </a>
              <b class="font-medium">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Hữu ích</span>
              </a>
              <a href="javascript:;" class="flex items-center space-x-1">
                <svg-icon
                  name="icon-comment"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Trả lời</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body p-3 mb-2">
              <a href="javascript:;">
                <b class="font-medium">Võ Minh Nhất</b>
              </a>
              <b class="font-medium">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Hữu ích</span>
              </a>
              <a href="javascript:;" class="flex items-center space-x-1">
                <svg-icon
                  name="icon-comment"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-blue">Trả lời</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <a href="javascript:;" class="flex items-center space-x-2 ml-8 pl-5">
        <svg-icon name="icon-reply" class="w-4 h-4 text-gray-100"></svg-icon>
        <span class="font-medium text-sm text-dark-blue">
          Xem thêm 18 trả lời
        </span>
      </a>
      <!-- Reply comment -->
      <div class="flex space-x-3">
        <div class="user_status">
          <a href="javascript:;" class="avata_comment" target="_blank">
            <img src="/users/avatar-default-1.svg" alt="" />
          </a>
        </div>
        <div class="flex-1">
          <textarea
            id="txtComment"
            class="txt_comment block_input w-full border-solid border-blue-gray border p-3 overflow-hidden bg-body text-base placeholder-gray-100"
            placeholder="Chia sẻ ý kiến của bạn..."
            style="height: 50px; max-height: 50px;"
          ></textarea>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: 'CommentItem',
  props: {
    hassub: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      longText: `Morbi fermentum varius volutpat. Proin id purus ac neque ultrices
              mattis. Nulla maximus vestibulum elit nec facilisis. In ac blandit
              nibh. Nullam arcu diam, molestie eget tortor sed, dictum tempor
              nisi. In auctor pharetra diam eu tempus. Pellentesque sodales
              justo sed auctor mattis. Ut commodo mi felis, nec cursus elit
              placerat vel. Etiam consequat tristique feugiat. Aenean
              consectetur sapien eu tortor varius, non aliquet augue posuere.
              Pellentesque at odio vel orci aliquet pellentesque ac ac tellus.
              Nunc molestie ipsum sed massa varius, sit amet facilisis augue
              iaculis. Proin quis sagittis felis, viverra auctor libero. Quisque
              sed justo volutpat, laoreet ex non, consectetur nibh. Praesent
              tristique euismod nisi at blandit.`,
      readMoreActivated: false
    }
  }
}
</script>

<style lang="scss">
.txt_comment {
  resize: none;
}
.avata_comment {
  display: inline-block;
  width: 30px;
}
</style>
